PlayCatan
Das offizielle Catan-Spieleportal

Sitemap

« Back to FAQ

How can I start the game with the Internet Explorer?

You need at least version 11 of the Internet Explorer, which is available for Windows 7 and newer. If you own an older Windows version (e.g. Vista) please use a different web browser (like Google Chrome) or install the PlayCatan Access Software.